# List Sandboxes

`GET /workspaces/:workspace/sandboxes`

Get all sandboxes in the workspace for a specific project

**Required Scopes:** `SANDBOX_READ`

## URL Parameters

```typescript
interface URLParameters {
  /** The human-readable ID of the workspace */
  workspace: string; // Example: "my-company"
}
```

## Query Parameters

```typescript
interface QueryParameters {
  /** The human-readable ID of the project to filter sandboxes */
  project_name?: string; // Example: "my-project"
  /** The ID of the environment to filter sandboxes */
  environment_id?: string; // Example: "3a4KbBQl"
}
```

## Response Body

```typescript
interface ResponseBody {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  sandboxes?: SandboxIdView[];
}
```

## Type Definitions

```typescript
interface SandboxIdView {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** The ID of the sandbox */
  id?: string;
  /** A human-readable ID. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end). */
  identifier?: string;
  /** The name of the sandbox */
  name?: string;
  /** The current status of the sandbox */
  status?: "STARTING" | "STOPPING" | "FAILED" | "RUNNING" | "STOPPED" | "RESTORING";
  /** The current setup status of the sandbox */
  setup_status?: "INPROGRESS" | "SUCCESS" | "FAILED";
}

```

## Response Example

**Status:** `200 OK`

```json
{
  "url": "https://api.buddy.works/workspaces/my-workspace/sandboxes",
  "html_url": "https://app.buddy.works/my-workspace/my-project/sandboxes",
  "sandboxes": [
    {
      "url": "https://api.buddy.works/workspaces/my-workspace/sandboxes/sb-12345",
      "html_url": "https://app.buddy.works/my-workspace/my-project/sandboxes/sb-12345",
      "id": "sb-12345",
      "identifier": "my-api-sandbox",
      "name": "My API Development Sandbox",
      "status": "RUNNING",
      "setup_status": "INPROGRESS"
    },
    {
      "url": "https://api.buddy.works/workspaces/my-workspace/sandboxes/sb-67890",
      "html_url": "https://app.buddy.works/my-workspace/my-project/sandboxes/sb-67890",
      "id": "sb-67890",
      "identifier": "test-environment",
      "name": "Test Environment Sandbox",
      "status": "STOPPED",
      "setup_status": "SUCCESS"
    }
  ]
}
```

---
Original source: https://buddy.works/docs/api/sandboxes/list